JOT(1)

NAME
jot - print sequential or random data

SYNOPSIS
jot [-cnr] [-b word] [-p precision] [-s string] [-w word] [reps [begin [end [s]]]]

DESCRIPTION
The jot utility is used to print out increasing, decreasing, random, or redundant data (usually numbers) one per line.

The following options are available:

-b word
    Just print word repetitively.

-c  This is an abbreviation for -w %c.

-n  Do not print the final newline normally appended to the output.

-p precision
    Print only as many digits or characters of the data as indicated by the integer precision. In the absence of -p, the precision is the greater of the precisions of begin and end. The -p option is overridden by whatever appears in a printf(3) conversion following -w.

-r  Generate random data instead of sequential data, the default.

-s string
    Print data separated by string. Normally, newlines separate data.

-w word
    Print word with the generated data appended to it. Octal, hexadecimal, exponential, ASCII, zero padded, and right-adjusted representations are possible by using the appropriate printf(3) conversion specification inside word, in which case the data are inserted rather than appended.

The last four arguments indicate, respectively, the number of data, the lower bound, the upper bound, and the step size or, for random data, the seed. Any argument may be omitted, and will be considered as such if given as “-”. Any three of these arguments determines the fourth. If four are specified and the given and computed values of reps conflict, the lower value is used. If fewer than three are specified, defaults are assigned left to right, except for s, which assumes its default unless both begin and end are given.

Defaults for the four arguments are, respectively, 100, 1, 100, and 1, except that when random data are requested, s defaults to a seed depending upon the time of day. reps is expected to be an unsigned integer, and if given as zero is taken to be infinite. begin and end may be given as real numbers or as characters representing the corresponding value in ASCII. The last argument must be a real number.

Random numbers are obtained through random(3). The name jot derives in part from iota, a function in APL.

EXAMPLES
The command:
    jot - 42 87 1
prints the integers from 42 to 87, inclusive.

The command:
    jot 21 -1 1.00
prints 21 evenly spaced numbers increasing from -1 to 1.

The command:
    jot -c 128 0
prints the ASCII character set.

The command:
    jot -w xa%c 26 a
prints the strings “xaa” through “xaz”.

The command:
    jot -r -c 160 a z | rs -g 0 8
prints 20 random 8-letter strings.

The command:
    jot -b y 0
is equivalent to yes(1).

The command:
    jot -w %ds/old/new/ 30 2 - 5
prints thirty ed(1) substitution commands applying to lines 2, 7, 12, etc.

The command:
    jot 0 9 - -.5
prints the stuttering sequence 9, 8, 8, 7, etc.

The command:
    jot -b x 512 > block
creates a file containing exactly 1024 bytes.

The command:
    expand -`jot -s, - 10 132 4`
sets tabs four spaces apart starting from column 10 and ending in column 132.

The command:
    grep `jot -s "" -b . 80`
prints all lines 80 characters or longer.

SEE ALSO
ed(1), expand(1), rs(1), seq(1), yes(1), printf(3), random(3)

HISTORY
The jot utility first appeared in 4.2BSD.

AUTHORS
John A. Kunze